#!/bin/sh
################################################
##
##Set Adapter Specific Variables
##

CONNAME=$1
SERVER=$2

#Set the i2 CIS home directory here
# (the specified directory should be the parent of lib folder)
#
I2_CIS_HOME_DIR=



# Connector specific variable initialization section
# Set your Connector agent here 

CONNECTOR_TYPE="-l" 
CONNECTOR_AGENT=com.crossworlds.connectors.i2.i2AdapterAgent


# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "

I2JAR=${I2_CIS_HOME_DIR}/lib/cis.jar:${I2_CIS_HOME_DIR}/lib/log4j.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/jmxri.jar:${I2_CIS_HOME_DIR}/lib/jaas.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/cis-sso.jar:${I2_CIS_HOME_DIR}/lib/cis-sso-spi.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/jdom.jar:${I2_CIS_HOME_DIR}/lib/cis-util.jar:${I2_CIS_HOME_DIR}/lib/connector.jar:

I2PROPERTIES=${I2_CIS_HOME_DIR}/properties:


##
## End Adapter Specific Variables
##

if [ -f ${CROSSWORLDS}/wbiart/wbiart.jar ]
then
   #we are in a new runtime environment
. ${CROSSWORLDS}/bin/CWConnEnv.sh
CONDIR=${CROSSWORLDS}/connectors/${CONNAME}
CONJAR=${CONDIR}/CW${CONNAME}.jar

# Please define the following variables that need to pass to callee
export JCLASSES=.:${CONJAR}:${I2JAR}:${I2PROPERTIES}:${CWCLASSES}
export LibPath=
export ExtDirs=
export JVMArgs=

# Call base script start_adapter.sh to start the connector
exec start_adapter.sh -n${CONNAME} -s${SERVER} -l${CONNECTOR_AGENT} $3 $4 $5

else
  #execute old scripts structure

. ${CROSSWORLDS}/bin/CWConnEnv.sh

CONDIR=${CROSSWORLDS}/connectors/${CONNAME}
if [ "${OS}" = "AIX" ]
then
LIBPATH=${CONDIR}:${LIBPATH}
export LIBPATH
elif [ "${OS}" = "HP-UX" ]
then
SHLIB_PATH=${CONDIR}:${SHLIB_PATH}
export SHLIB_PATH
else
LD_LIBRARY_PATH=${CONDIR}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
fi
CONJAR=${CONDIR}/CW${CONNAME}.jar
LOCAL_JVM_FLAGS=${CONN_JAVA_JVM_FLAGS}

CWCLASSES=${CWCLASSES}:

# We are using the JVM_FLAGS that are set in the CWSharedEnv.sh file, if you need to use different flags,
#  Change $JVM_FLAGS to be what you need to use.
# No changes should be necessary below this line.

CLASSPATH=${CONJAR}:${I2JAR}:${I2PROPERTIES}:${CWCLASSES}
echo $CLASSPATH
echo $JVM_FLAGS
echo $CWJAVA
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"
if [ "${OS}" = "AIX" ]
then
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LIB_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME} -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
elif [ "${OS}" = "HP-UX" ]
then
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${SHLIB_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH} AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME} -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
else
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LD_LIBRARY_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME} -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
fi

fi #close new runtime switch
  
